=== mozilla/testing/luciddream/requirements.txt ===
marionette-client>=0.8.5
mozlog
