=== mozilla/testing/marionette/client/requirements.txt ===
marionette-driver >= 0.8
browsermob-proxy >= 0.6.0
manifestparser >= 1.1
mozhttpd >= 0.7
mozinfo >= 0.8
mozprocess >= 0.9
mozrunner >= 6.2
mozdevice >= 0.44
mozlog >= 2.7
moznetwork >= 0.21
mozcrash >= 0.5
mozprofile >= 0.7
moztest >= 0.7
mozversion >= 1.1
