=== mozilla/testing/marionette/driver/requirements.txt ===
marionette-transport == 0.5
mozrunner >= 6.2
