=== mozilla/testing/web-platform/harness/requirements.txt ===
html5lib >= 0.99
mozinfo >= 0.7
mozlog >= 2.8
mozdebug >= 0.1
